Bug 228092 - www/py-django-cms: update to 3.5.2 and update www/py-django-sekizai to 0.10.0
Summary: www/py-django-cms: update to 3.5.2 and update www/py-django-sekizai to 0.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 227672 228093
Blocks: 227032
  Show dependency treegraph
 
Reported: 2018-05-09 10:43 UTC by Kai Knoblich
Modified: 2018-05-21 15:54 UTC (History)
3 users (show)

See Also:
xenophon+fbsdports: maintainer-feedback+


Attachments
django-cms.patch (12.57 KB, patch)
2018-05-09 10:43 UTC, Kai Knoblich
xenophon+fbsdports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-05-09 10:43:05 UTC
Created attachment 193201 [details]
django-cms.patch

Hello,

attached is a patch from svn that updates www/py-django-cms to 3.5.2 and assigns it to Django v1.11. The pkg-message has been rewritten to reflect the new installation instructions. 

The port is broken in its current state because 2.4.1 is not compatible with Django 1.8+ but it will build without problems.

Following ports will be also patched:

www/py-django-sekizai: 
- update to 0.10.0
- assign to Django v1.11
- add LICENSE and LICENSE_FILE
- add NO_ARCH
- add option DOCS with related entries

www/py-django-classy-tags
- listed in a separate PR due different maintainership


QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Note:
- Before this port can be committed, following dependencies must be resolved first:
- www/py-djangocms-admin-style must be committed to the ports tree (see also PR #227672: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=227672)
- Maintainer's approval for port www/py-django-classy-tags must be given
Comment 1 xenophon+fbsdports 2018-05-11 13:29:14 UTC
This looks good to me.  Thank you!
Comment 2 commit-hook freebsd_committer 2018-05-21 15:50:38 UTC
A commit references this bug:

Author: miwi
Date: Mon May 21 15:50:03 UTC 2018
New revision: 470556
URL: https://svnweb.freebsd.org/changeset/ports/470556

Log:
  - Update to 0.10.0
  - switch to py-django111
  - add LICENSE and LICENSE_FILE
  - add NO_ARCH
  - add option DOCS with related entries

  PR:	228092
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/www/py-django-sekizai/Makefile
  head/www/py-django-sekizai/distinfo
Comment 3 commit-hook freebsd_committer 2018-05-21 15:52:42 UTC
A commit references this bug:

Author: miwi
Date: Mon May 21 15:52:36 UTC 2018
New revision: 470557
URL: https://svnweb.freebsd.org/changeset/ports/470557

Log:
  - Update to 3.5.2
  - Switch to py-django111

  PR:	228092
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/www/py-django-cms/Makefile
  head/www/py-django-cms/distinfo
  head/www/py-django-cms/pkg-message